Intrusion Prevention

Apache.Tomcat.Arbitrary.JSP.file.Upload

Description

This indicates an attack attempt against a Code Execution vulnerability in Apache Tomcat.
The vulnerability is due to an error when vulnerable software handles a PUT request with malformed file name. A remote attacker may be able to exploit this to upload arbitrary JSP file onto the affected system and execute arbitrary code.

Affected Products

Apache Tomcat version 7.0.0 to 7.0.79

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Apply the most recent upgrade or patch from the vendor.
https://tomcat.apache.org/security-7.html#Fixed_in_Apache_Tomcat_7.0.81